#
# Conditional build:
%bcond_with	tests	# unit tests (require en_US dictionary)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Spellchecking library for Python 2
Summary(pl.UTF-8):	Biblioteka Pythona 2 sprawdzająca pisownię
Name:		python-pyenchant
Version:	2.0.0
Release:	2
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyenchant/
Source0:	https://files.pythonhosted.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
# Source0-md5:	c224ea53e119b04116d5301e5027051c
URL:		https://pypi.org/project/pyenchant/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools >= 1:7
%endif
%if %{with python3}
BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-setuptools >= 1:7
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	enchant >= 1.6.0
Requires:	python-libs >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyEnchant is a set of language bindings and some wrapper classes to
make the excellent Enchant spellchecker available as a Python module.

%description -l pl.UTF-8
PyEnchant to zbiór dowiązań języka i klas obudowujących
udostępniających świetną bibliotekę sprawdzania pisowni Enchant jako
moduł Pythona.

%package -n python3-pyenchant
Summary:	Spellchecking library for Python 3
Summary(pl.UTF-8):	Biblioteka Pythona 3 sprawdzająca pisownię
Group:		Libraries/Python
Requires:	enchant >= 1.6.0
Requires:	python3-libs >= 1:3.2

%description -n python3-pyenchant
PyEnchant is a set of language bindings and some wrapper classes to
make the excellent Enchant spellchecker available as a Python module.

%description -n python3-pyenchant -l pl.UTF-8
PyEnchant to zbiór dowiązań języka i klas obudowujących
udostępniających świetną bibliotekę sprawdzania pisowni Enchant jako
moduł Pythona.

%prep
%setup -q -n pyenchant-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/enchant/tests.py*
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/enchant/tests.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/enchant/__pycache__/tests.*.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.txt TODO.txt
%{py_sitescriptdir}/enchant
%{py_sitescriptdir}/pyenchant-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyenchant
%defattr(644,root,root,755)
%doc README.txt TODO.txt
%{py3_sitescriptdir}/enchant
%{py3_sitescriptdir}/pyenchant-%{version}-py*.egg-info
%endif
%changelog
* Fri Feb 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyenchant.git;a=log;h=master

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> ad6ccad
- release 2 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> dde642e
- new URLs, updated to 2.0.0
- removed outdated ez_setup patch
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> de6a726
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f4bb12b
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6d9c001
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 007f84c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4517f31
- updated to 1.5.3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21f01a5
- release 2

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> 842d216
- up to 1.5.1
- patch for ez_setup added
- python paths revised: %{py_sitedir} -> %{python_sitelib}

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> ae0294b
- needed for 1.5.1; disables ez_setup since we have setuptools

* Mon Nov 05 2007 Jakub Bogusz <qboosh@pld-linux.org> df9362e
- updated to 1.3.1

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e0970f
- updated to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b504cd8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc7d51f
- converted to UTF-8

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> e94c4e8
- LGPL v2.1 or any later

* Tue Nov 14 2006 Jakub Bogusz <qboosh@pld-linux.org> d52489a
- updated to 1.2.0 (for enchant 1.3.0)

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 61a1778
- unify sourceforge url

* Sun May 07 2006 Karol Krenski <charles@pld-linux.org> dbebf64
- BR: python-devel

* Sat Feb 18 2006 Jakub Bogusz <qboosh@pld-linux.org> af14651
- pl

* Sun Feb 12 2006 freetz <freetz@pld-linux.org> 7b2aaf4
- initial

